Job Instance
API endpoint that allows jobs to be viewed or edited.
Pass the start_now url parameter to the POST method to enqueue the job immediately.
Use the delay field to create a test job with fake duration of work (in seconds).
Actions
/jobs/{id}/run/ (POST)
Run a job (add it to the queue).
/jobs/{id}/cancel/ (POST)
Cancel a job (terminate the background task)
GET /api/v2/jobs/730/?format=api
{ "id": 730, "details": "https://api.beluga.insectai.org/api/v2/jobs/730/?format=api", "name": "Sync captures for deployment 142", "delay": 0, "limit": 1000, "shuffle": true, "project": { "id": 67, "name": "AMBER - Singapore", "details": "https://api.beluga.insectai.org/api/v2/projects/67/?format=api", "user_permissions": [] }, "deployment": { "id": 142, "name": "BTNR", "details": "https://api.beluga.insectai.org/api/v2/deployments/142/?format=api", "user_permissions": [] }, "source_image_collection": null, "source_image_single": null, "pipeline": null, "status": "FAILURE", "created_at": "2024-06-05T10:40:14.381471", "updated_at": "2024-11-13T17:15:33.942084", "started_at": null, "finished_at": "2025-10-10T00:38:06.312624", "duration": null, "progress": { "summary": { "status": "FAILURE", "progress": 0.0 }, "stages": [ { "status": "CREATED", "progress": 0.0, "key": "data_storage_sync", "name": "data_storage_sync", "params": [] }, { "status": "CREATED", "progress": 0.0, "key": "data_storage_sync", "name": "data_storage_sync", "params": [] } ], "errors": [], "logs": [] }, "logs": { "stdout": [ "[2025-10-10 00:38:07] ERROR Job 730 has been pending for 1 year, 4 months with workers available, marking as failed", "[2025-10-10 00:38:07] WARNING Job 730 has been waiting for 1 year, 4 months with 1 worker(s) available. Task may be queued behind other jobs." ], "stderr": [ "Job 730 has been pending for 1 year, 4 months with workers available, marking as failed" ] }, "job_type": { "name": "Data storage sync", "key": "data_storage_sync" }, "data_export": null, "dispatch_mode": "internal", "result": null, "user_permissions": [] }